### GET /campaign-blueprints Source: https://api.cakemail.dev/openapi.json List all available campaign blueprints. Blueprints are pre-built campaign designs that can be used as starting points. ```markdown ### Parameters - **account_id** (integer, query, optional) - **page** (integer, query, optional) - **per_page** (integer, query, optional) - **with_count** (boolean, query, optional): Include count in the response - **filter** (string, query, optional): Valid Terms: - `tag` - `not_tag` - `name` - `is_owner` - `is_not_owner` Valid Operators: - `==` Query separator: - `;` - **sort** (string, query, optional): Sort term and direction, using syntax `[-|+]term`. Valid terms: - `id` - `created_on` - `updated_on` - `name` ### Responses #### 200 - Successful Response **CampaignBlueprintsResponse** - **pagination** (object) (required) - **page** (integer): Current page number - **per_page** (integer): Number of items per page - **count** (integer): Total number of items - **data** (array (CampaignBlueprintSummaryResponse)) (required) Array items: - **id** (integer) (required): Unique identifier of the blueprint - **name** (string) (required): Name of the blueprint - **description** (string): Description of the blueprint - **created_on** (integer) (required): Creation timestamp as Unix epoch - **updated_on** (integer) (required): Last update timestamp as Unix epoch - **tags** (array (string)): Tags associated with the blueprint - **thumbnail** (string): Thumbnail URL (deprecated) - **thumbnail_url** (string): URL to the blueprint thumbnail image #### 400 - Bad Request **HTTPBadRequestError** - **detail** (array (BadRequestMessage)) (required) Array items: - **loc** (array (string)) - **msg** (string) (required) - **type** (string) #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) #### 500 - Internal Server Error **HTTPInternalServerError** - **detail** (array (InternalServerErrorMessage)) (required) Array items: - **msg** (string) (required) - **type** (string) ### Example Usage ```bash curl -X GET "https://api.cakemail.dev/campaign-blueprints?account_id=0&page=1&per_page=50&with_count=false&filter=string&sort=id" ``` ``` -------------------------------- ### GET /workflow-blueprints Source: https://api.cakemail.dev/openapi.json API endpoint for GET /workflow-blueprints ```markdown ### Parameters - **page** (integer, query, optional) - **per_page** (integer, query, optional) - **with_count** (boolean, query, optional): Include count in the response - **sort** (string, query, optional): Sort term and direction, using syntax `[-|+]term`. Valid terms: - `name` - `description` - `goal` - `created_on` - `updated_on` ### Responses #### 200 - Successful Response **WorkflowBlueprintsResponse** - **pagination** (object) (required) - **page** (integer): Current page number - **per_page** (integer): Number of items per page - **count** (integer): Total number of items - **data** (array (WorkflowBlueprint)) (required) Array items: - **id** (string) (required) - **name** (string) (required) - **description** (string) - **goal** (string) (required) - **trigger** (string (subscribed|unsubscribed|manual)): An enumeration. ("subscribed"|"unsubscribed"|"manual") - **created_on** (integer) - **updated_on** (integer) #### 400 - Bad Request **HTTPBadRequestError** - **detail** (array (BadRequestMessage)) (required) Array items: - **loc** (array (string)) - **msg** (string) (required) - **type** (string) #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) #### 500 - Internal Server Error **HTTPInternalServerError** - **detail** (array (InternalServerErrorMessage)) (required) Array items: - **msg** (string) (required) - **type** (string) ### Example Usage ```bash curl -X GET "https://api.cakemail.dev/workflow-blueprints?page=1&per_page=50&with_count=false&sort=string" ``` ``` -------------------------------- ### GET /tasks Source: https://api.cakemail.dev/openapi.json Show all asynchronous Task. ```markdown ### Parameters - **account_id** (integer, query, optional): Optional Account ID to be used for the request - **page** (integer, query, optional) - **per_page** (integer, query, optional) - **with_count** (boolean, query, optional): Include count in the response - **sort** (string, query, optional): Sort term and direction, using syntax `[-|+]term`. Valid terms: - `status` - `created_on` - `expires_on` - **filter** (string, query, optional): Valid Terms: - `type` - `status` - `list_id` - `progress` Valid Operators: - `==` Query separator: - `;` ### Responses #### 200 - Successful Response **ListTasksResponse** - **pagination** (object) (required) - **page** (integer): Current page number - **per_page** (integer): Number of items per page - **count** (integer): Total number of items - **data** (array (TaskFullResponse)) (required): List of tasks Array items: - **id** (string) (required): Task id - **status** (string (pending|ready|error|deleted)) (required): An enumeration. ("pending"|"ready"|"error"|"deleted") - **created_on** (integer) (required): Creation date (Unix time) - **expires_on** (integer) (required): Expiration date (Unix time) - **progress** (integer): Task progress percentage - **requested_by** (object) (required) - **email** (string (email)) (required): Email of the user who requested the task - **id** (integer) (required): User id - **type** (string (contactsexport|campaignlogexport|campaignsreportsexport|suppressedemailsexport|listlogsexport|unknown)) (required): An enumeration. ("contactsexport"|"campaignlogexport"|"campaignsreportsexport"|"suppressedemailsexport"|"listlogsexport"|"unknown") - **description** (string): Task description - **payload** (object) (required): Task parameters #### 400 - Bad Request **HTTPBadRequestError** - **detail** (array (BadRequestMessage)) (required) Array items: - **loc** (array (string)) - **msg** (string) (required) - **type** (string) #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) #### 500 - Internal Server Error **HTTPInternalServerError** - **detail** (array (InternalServerErrorMessage)) (required) Array items: - **msg** (string) (required) - **type** (string) ### Example Usage ```bash curl -X GET "https://api.cakemail.dev/tasks?account_id=0&page=1&per_page=50&with_count=false&sort=string&filter=string" ``` ``` -------------------------------- ### GET /brands/default/system-emails Source: https://api.cakemail.dev/openapi.json Show system emails configuration ```markdown ### Parameters - **account_id** (integer, query, optional): Optional Account ID to be used for the request ### Responses #### 200 - Successful Response **SystemEmailsResponse** - **data** (object) (required) - **account_confirm** (array (SystemEmailTemplate)) Array items: - **language** (string (da|da_DK|de|de_DE|el|el_GR|en|en_US|en_GB|en_UK|es|es_US|es_ES|et|et_EE|fi|fi_FI|fr|fr_CA|fr_FR|he|he_IL|id|id_ID|it|it_IT|ja|ja_JP|nl|nl_NL|no|no_NO|pt|pt_BR|ro|ro_RO|ru|ru_RU|sv|sv_SE|th|th_TH|tr|tr_TR|vi|vi_VN|zh|zh_CN|aa|ab|ae|af|ak|am|an|ar|av|ay|az|ba|be|bg|bh|bi|bm|bn|bo|br|bs|ca|ce|ch|co|cr|cs|cu|cv|cy|dv|dz|ee|eo|eu|fa|ff|fj|fo|fy|ga|gd|gl|gn|gu|gv|ha|hi|ho|hr|ht|hu|hy|hz|ia|ie|ig|ii|ik|io|is_IS|iu|jv|ka|kg|ki|kj|kk|kl|km|kn|ko|kr|ks|ku|kv|kw|ky|la|lb|lg|li|ln|lo|lt|lu|lv|mg|mh|mi|mk|ml|mn|mr|ms|mt|my|na|nb|nd|ne|ng|nn|nr|nv|ny|oc|oj|om|os|pa|pi|pl|ps|qu|rm|rn|rw|sa|sc|sd|se|sg|si|sk|sl|sm|sn|so|sq|sr|ss|st|su|sw|ta|te|tg|ti|tk|tl|tn|to|ts|tt|tw|ty|ug|uk|ur|uz|ve|vo|wa|wo|xh|yi|yo|za|zu)) (required): Supported Locales ("da"|"da_DK"|"de"|"de_DE"|"el"|"el_GR"|"en"|"en_US"|"en_GB"|"en_UK"|"es"|"es_US"|"es_ES"|"et"|"et_EE"|"fi"|"fi_FI"|"fr"|"fr_CA"|"fr_FR"|"he"|"he_IL"|"id"|"id_ID"|"it"|"it_IT"|"ja"|"ja_JP"|"nl"|"nl_NL"|"no"|"no_NO"|"pt"|"pt_BR"|"ro"|"ro_RO"|"ru"|"ru_RU"|"sv"|"sv_SE"|"th"|"th_TH"|"tr"|"tr_TR"|"vi"|"vi_VN"|"zh"|"zh_CN"|"aa"|"ab"|"ae"|"af"|"ak"|"am"|"an"|"ar"|"av"|"ay"|"az"|"ba"|"be"|"bg"|"bh"|"bi"|"bm"|"bn"|"bo"|"br"|"bs"|"ca"|"ce"|"ch"|"co"|"cr"|"cs"|"cu"|"cv"|"cy"|"dv"|"dz"|"ee"|"eo"|"eu"|"fa"|"ff"|"fj"|"fo"|"fy"|"ga"|"gd"|"gl"|"gn"|"gu"|"gv"|"ha"|"hi"|"ho"|"hr"|"ht"|"hu"|"hy"|"hz"|"ia"|"ie"|"ig"|"ii"|"ik"|"io"|"is_IS"|"iu"|"jv"|"ka"|"kg"|"ki"|"kj"|"kk"|"kl"|"km"|"kn"|"ko"|"kr"|"ks"|"ku"|"kv"|"kw"|"ky"|"la"|"lb"|"lg"|"li"|"ln"|"lo"|"lt"|"lu"|"lv"|"mg"|"mh"|"mi"|"mk"|"ml"|"mn"|"mr"|"ms"|"mt"|"my"|"na"|"nb"|"nd"|"ne"|"ng"|"nn"|"nr"|"nv"|"ny"|"oc"|"oj"|"om"|"os"|"pa"|"pi"|"pl"|"ps"|"qu"|"rm"|"rn"|"rw"|"sa"|"sc"|"sd"|"se"|"sg"|"si"|"sk"|"sl"|"sm"|"sn"|"so"|"sq"|"sr"|"ss"|"st"|"su"|"sw"|"ta"|"te"|"tg"|"ti"|"tk"|"tl"|"tn"|"to"|"ts"|"tt"|"tw"|"ty"|"ug"|"uk"|"ur"|"uz"|"ve"|"vo"|"wa"|"wo"|"xh"|"yi"|"yo"|"za"|"zu") - **template** (object) - **id** (integer) (required) - **sender** (object) - **id** (string) (required): Unique identifier of the sender - **user_confirm** (array (SystemEmailTemplate)) Array items: - **sender_confirm** (array (SystemEmailTemplate)) Array items: - **password_reset** (array (SystemEmailTemplate)) Array items: - **contact_double_opt_in** (array (SystemEmailTemplate)) Array items: #### 400 - Bad Request **HTTPBadRequestError** - **detail** (array (BadRequestMessage)) (required) Array items: - **loc** (array (string)) - **msg** (string) (required) - **type** (string) #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) #### 500 - Internal Server Error **HTTPInternalServerError** - **detail** (array (InternalServerErrorMessage)) (required) Array items: - **msg** (string) (required) - **type** (string) ### Example Usage ```bash curl -X GET "https://api.cakemail.dev/brands/default/system-emails?account_id=0" ``` ``` -------------------------------- ### GET /reports/campaigns-exports/{export_id}/download Source: https://api.cakemail.dev/openapi.json Get a download link for a completed campaign report export. ```markdown ### Parameters - **export_id** (string, path, required) - **account_id** (integer, query, optional): Optional Account ID to be used for the request ### Responses #### 200 - Successful Response **DownloadCampaignsReportsExportResponse** - **data** (object) (required) - **expires_on** (integer) (required): Download URL expiration date (Unix time) - **url** (string (uri)) (required): Download URL #### 400 - Bad Request **HTTPBadRequestError** - **detail** (array (BadRequestMessage)) (required) Array items: - **loc** (array (string)) - **msg** (string) (required) - **type** (string) #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) #### 500 - Internal Server Error **HTTPInternalServerError** - **detail** (array (InternalServerErrorMessage)) (required) Array items: - **msg** (string) (required) - **type** (string) ### Example Usage ```bash curl -X GET "https://api.cakemail.dev/reports/campaigns-exports/{export_id}/download?account_id=0" ``` ``` -------------------------------- ### GET /forms Source: https://api.cakemail.dev/openapi.json List all forms in the account. ```markdown ### Parameters - **account_id** (integer, query, optional): Optional Account ID to be used for the request - **page** (integer, query, optional) - **per_page** (integer, query, optional) - **with_count** (boolean, query, optional): Include count in the response - **sort** (string, query, optional): Sort term and direction, using syntax `[-|+]term`. Valid terms: - `name` - `language` - `created_on` - `last_updated_on` - `list_id` - `status` - `enabled` - `updated_on` - `published_on` - `branding` - **filter** (string, query, optional): Valid Terms: - `name` Valid Operators: - `==` Query separator: - `;` ### Responses #### 200 - Successful Response **UnifiedFormsResponse** - **pagination** (object) (required) - **page** (integer): Current page number - **per_page** (integer): Number of items per page - **count** (integer): Total number of items - **data** (array (union)) (required): List of forms Array items: - **id** (string) (required): Unique identifier for the form - **name** (string) (required): Name of the form - **status** (string (active|deleted)) (required): An enumeration. ("active"|"deleted") - **content** (object) (required) - **linked** (string): HTML content for linked form - **embedded** (string): HTML content for embedded form - **language** (string (da|da_DK|de|de_DE|el|el_GR|en|en_US|en_GB|en_UK|es|es_US|es_ES|et|et_EE|fi|fi_FI|fr|fr_CA|fr_FR|he|he_IL|id|id_ID|it|it_IT|ja|ja_JP|nl|nl_NL|no|no_NO|pt|pt_BR|ro|ro_RO|ru|ru_RU|sv|sv_SE|th|th_TH|tr|tr_TR|vi|vi_VN|zh|zh_CN|aa|ab|ae|af|ak|am|an|ar|av|ay|az|ba|be|bg|bh|bi|bm|bn|bo|br|bs|ca|ce|ch|co|cr|cs|cu|cv|cy|dv|dz|ee|eo|eu|fa|ff|fj|fo|fy|ga|gd|gl|gn|gu|gv|ha|hi|ho|hr|ht|hu|hy|hz|ia|ie|ig|ii|ik|io|is_IS|iu|jv|ka|kg|ki|kj|kk|kl|km|kn|ko|kr|ks|ku|kv|kw|ky|la|lb|lg|li|ln|lo|lt|lu|lv|mg|mh|mi|mk|ml|mn|mr|ms|mt|my|na|nb|nd|ne|ng|nn|nr|nv|ny|oc|oj|om|os|pa|pi|pl|ps|qu|rm|rn|rw|sa|sc|sd|se|sg|si|sk|sl|sm|sn|so|sq|sr|ss|st|su|sw|ta|te|tg|ti|tk|tl|tn|to|ts|tt|tw|ty|ug|uk|ur|uz|ve|vo|wa|wo|xh|yi|yo|za|zu)) (required): Supported Locales ("da"|"da_DK"|"de"|"de_DE"|"el"|"el_GR"|"en"|"en_US"|"en_GB"|"en_UK"|"es"|"es_US"|"es_ES"|"et"|"et_EE"|"fi"|"fi_FI"|"fr"|"fr_CA"|"fr_FR"|"he"|"he_IL"|"id"|"id_ID"|"it"|"it_IT"|"ja"|"ja_JP"|"nl"|"nl_NL"|"no"|"no_NO"|"pt"|"pt_BR"|"ro"|"ro_RO"|"ru"|"ru_RU"|"sv"|"sv_SE"|"th"|"th_TH"|"tr"|"tr_TR"|"vi"|"vi_VN"|"zh"|"zh_CN"|"aa"|"ab"|"ae"|"af"|"ak"|"am"|"an"|"ar"|"av"|"ay"|"az"|"ba"|"be"|"bg"|"bh"|"bi"|"bm"|"bn"|"bo"|"br"|"bs"|"ca"|"ce"|"ch"|"co"|"cr"|"cs"|"cu"|"cv"|"cy"|"dv"|"dz"|"ee"|"eo"|"eu"|"fa"|"ff"|"fj"|"fo"|"fy"|"ga"|"gd"|"gl"|"gn"|"gu"|"gv"|"ha"|"hi"|"ho"|"hr"|"ht"|"hu"|"hy"|"hz"|"ia"|"ie"|"ig"|"ii"|"ik"|"io"|"is_IS"|"iu"|"jv"|"ka"|"kg"|"ki"|"kj"|"kk"|"kl"|"km"|"kn"|"ko"|"kr"|"ks"|"ku"|"kv"|"kw"|"ky"|"la"|"lb"|"lg"|"li"|"ln"|"lo"|"lt"|"lu"|"lv"|"mg"|"mh"|"mi"|"mk"|"ml"|"mn"|"mr"|"ms"|"mt"|"my"|"na"|"nb"|"nd"|"ne"|"ng"|"nn"|"nr"|"nv"|"ny"|"oc"|"oj"|"om"|"os"|"pa"|"pi"|"pl"|"ps"|"qu"|"rm"|"rn"|"rw"|"sa"|"sc"|"sd"|"se"|"sg"|"si"|"sk"|"sl"|"sm"|"sn"|"so"|"sq"|"sr"|"ss"|"st"|"su"|"sw"|"ta"|"te"|"tg"|"ti"|"tk"|"tl"|"tn"|"to"|"ts"|"tt"|"tw"|"ty"|"ug"|"uk"|"ur"|"uz"|"ve"|"vo"|"wa"|"wo"|"xh"|"yi"|"yo"|"za"|"zu") - **created_on** (integer): Unix timestamp when the form was created - **last_updated_on** (integer): Unix timestamp when the form was last updated - **url** (object) (required) - **linked** (string): URL for the linked version of the form - **embedded** (string): URL for the embedded version of the form - **thumbnail** (string) - **thumbnail_url** (string): URL of the form thumbnail image - **redirections** (object) (required) - **after_opt_in** (string): Redirect URL after opt-in - **after_double_opt_in** (string): Redirect URL after double opt-in confirmation - **after_opt_out** (string): Redirect URL after opt-out - **list_id** (integer): ID of the contact list linked to the form - **double_opt_in** (boolean): Whether double opt-in is enabled #### 400 - Bad Request **HTTPBadRequestError** - **detail** (array (BadRequestMessage)) (required) Array items: - **loc** (array (string)) - **msg** (string) (required) - **type** (string) #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) #### 500 - Internal Server Error **HTTPInternalServerError** - **detail** (array (InternalServerErrorMessage)) (required) Array items: - **msg** (string) (required) - **type** (string) ### Example Usage ```bash curl -X GET "https://api.cakemail.dev/forms?account_id=0&page=1&per_page=50&with_count=false&sort=string&filter=string" ``` ``` -------------------------------- ### GET /campaign-blueprints/{blueprint_id}/render Source: https://api.cakemail.dev/openapi.json Render a campaign blueprint's HTML content for preview. ```markdown ### Parameters - **blueprint_id** (integer, path, required) ### Responses #### 200 - Successful Response #### 400 - Bad Request **HTTPBadRequestError** - **detail** (array (BadRequestMessage)) (required) Array items: - **loc** (array (string)) - **msg** (string) (required) - **type** (string) #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) #### 500 - Internal Server Error **HTTPInternalServerError** - **detail** (array (InternalServerErrorMessage)) (required) Array items: - **msg** (string) (required) - **type** (string) ### Example Usage ```bash curl -X GET "https://api.cakemail.dev/campaign-blueprints/{blueprint_id}/render" ``` ``` -------------------------------- ### GET /workflows Source: https://api.cakemail.dev/openapi.json API endpoint for GET /workflows ```markdown ### Parameters - **account_id** (integer, query, optional): Optional Account ID to be used for the request - **page** (integer, query, optional) - **per_page** (integer, query, optional) - **with_count** (boolean, query, optional): Include count in the response - **sort** (string, query, optional): Sort term and direction, using syntax `[-|+]term`. Valid terms: - `name` - `description` - `goal` - `status` - `created_on` - `updated_on` - `activated_on` ### Responses #### 200 - Successful Response **ListWorkflowsResponse** - **pagination** (object) (required) - **page** (integer): Current page number - **per_page** (integer): Number of items per page - **count** (integer): Total number of items - **data** (array (WorkflowResponse)) (required) Array items: - **id** (string) (required) - **name** (string) - **description** (string) - **goal** (string) - **status** (string (active|inactive)): An enumeration. ("active"|"inactive") - **trigger** (string (subscribed|unsubscribed|manual)): An enumeration. ("subscribed"|"unsubscribed"|"manual") - **audience** (object) - **list_id** (integer) (required) - **segment_id** (integer) - **created_on** (integer) - **updated_on** (integer) - **activated_on** (integer) #### 400 - Bad Request **HTTPBadRequestError** - **detail** (array (BadRequestMessage)) (required) Array items: - **loc** (array (string)) - **msg** (string) (required) - **type** (string) #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) #### 500 - Internal Server Error **HTTPInternalServerError** - **detail** (array (InternalServerErrorMessage)) (required) Array items: - **msg** (string) (required) - **type** (string) ### Example Usage ```bash curl -X GET "https://api.cakemail.dev/workflows?account_id=0&page=1&per_page=50&with_count=false&sort=string" ``` ``` -------------------------------- ### POST /campaigns Source: https://api.cakemail.dev/openapi.json Create a new campaign in draft status. Requires a name, audience (list and optional segment), and content. The campaign must be scheduled separately after creation. ```markdown ### Parameters - **account_id** (integer, query, optional): Optional Account ID to be used for the request ### Request Body **Content-Type:** application/json - **name** (string) (required): Name of the campaign - **audience** (object) - **list_id** (integer): ID of the contact list to send to - **segment_id** (integer): ID of the segment to send to - **tracking** (object) - **opens** (boolean): Enable the tracking of opens (only available for the HTML version) - **clicks_html** (boolean): Enable the tracking of link clicks in the HTML version - **clicks_text** (boolean): Enable the tracking of link clicks in the text version - **additional_params** (string): Append additional tracking parameters on all link (should be URL encoded) - **sender** (object) - **id** (string) (required): Unique identifier of the sender - **name** (string): Display name override for the sender - **reply_to_email** (string (email)): Specify a different reply-to email address than the sender - **content** (object) - **subject** (string): Email subject line - **html** (string): HTML content of the email - **text** (string): Plain text content of the email - **json** (object): JSON content of the email (BEE editor format) - **type** (string (custom|html|bee)): An enumeration. ("custom"|"html"|"bee") - **encoding** (string (utf-8|armscii-8|ascii|big-5|cp51932|cp866|cp936|euc-cn|euc-jp|eucjp-win|euc-kr|euc-tw|hz|iso-2022-jp|iso-2022-jp-ms|iso-2022-kr|iso-8859-1|iso-8859-10|iso-8859-13|iso-8859-14|iso-8859-15|iso-8859-16|iso-8859-2|iso-8859-3|iso-8859-4|iso-8859-5|iso-8859-6|iso-8859-7|iso-8859-8|iso-8859-9|jis|koi8-r|sjis|sjis-win|uhc|windows-1251|windows-1252)): An enumeration. ("utf-8"|"armscii-8"|"ascii"|"big-5"|"cp51932"|"cp866"|"cp936"|"euc-cn"|"euc-jp"|"eucjp-win"|"euc-kr"|"euc-tw"|"hz"|"iso-2022-jp"|"iso-2022-jp-ms"|"iso-2022-kr"|"iso-8859-1"|"iso-8859-10"|"iso-8859-13"|"iso-8859-14"|"iso-8859-15"|"iso-8859-16"|"iso-8859-2"|"iso-8859-3"|"iso-8859-4"|"iso-8859-5"|"iso-8859-6"|"iso-8859-7"|"iso-8859-8"|"iso-8859-9"|"jis"|"koi8-r"|"sjis"|"sjis-win"|"uhc"|"windows-1251"|"windows-1252") - **template** (object) - **id** (integer) (required) - **blueprint** (object) - **id** (integer) (required) - **default_unsubscribe_link** (boolean): Include a default unsubscribe link in the email ### Responses #### 201 - Successful Response **CreateCampaignResponse** - **id** (integer) (required) - **object** (string) - **created** (boolean) - **data** (object) (required) - **id** (integer) (required): Unique campaign identifier - **name** (string): Campaign name - **audience** (object) - **list_id** (integer): ID of the target list - **name** (string): List name - **segment_id** (integer): ID of the target segment - **type** (string (standard|recurring|absplit)): An enumeration. ("standard"|"recurring"|"absplit") - **tracking** (object) - **opens** (boolean): Whether open tracking is enabled - **clicks_html** (boolean): Whether HTML click tracking is enabled - **clicks_text** (boolean): Whether text click tracking is enabled - **additional_params** (string): Extra tracking query parameters - **created_on** (integer): Creation timestamp (Unix epoch) - **scheduled_for** (integer): Scheduled delivery timestamp (Unix epoch) - **scheduled_on** (integer): When the campaign was scheduled (Unix epoch) - **delivery_finished_on** (integer): When delivery completed (Unix epoch) - **sender** (object) - **name** (string): Sender display name - **email** (string): Sender email address - **reply_to_email** (string): Reply-to email address - **content** (object) - **subject** (string): Email subject line - **html** (string): HTML content of the email - **text** (string): Plain text content of the email - **json** (object): JSON representation of the email content - **type** (string (html|bee|custom)): An enumeration. ("html"|"bee"|"custom") - **hash** (string): Content hash for change detection - **last_updated_on** (integer): Last content update timestamp (Unix epoch) - **encoding** (string (utf-8|armscii-8|ascii|big-5|cp51932|cp866|cp936|euc-cn|euc-jp|eucjp-win|euc-kr|euc-tw|hz|iso-2022-jp|iso-2022-jp-ms|iso-2022-kr|iso-8859-1|iso-8859-10|iso-8859-13|iso-8859-14|iso-8859-15|iso-8859-16|iso-8859-2|iso-8859-3|iso-8859-4|iso-8859-5|iso-8859-6|iso-8859-7|iso-8859-8|iso-8859-9|jis|koi8-r|sjis|sjis-win|uhc|windows-1251|windows-1252|other)): An enumeration. ("utf-8"|"armscii-8"|"ascii"|"big-5"|"cp51932"|"cp866"|"cp936"|"euc-cn"|"euc-jp"|"eucjp-win"|"euc-kr"|"euc-tw"|"hz"|"iso-2022-jp"|"iso-2022-jp-ms"|"iso-2022-kr"|"iso-8859-1"|"iso-8859-10"|"iso-8859-13"|"iso-8859-14"|"iso-8859-15"|"iso-8859-16"|"iso-8859-2"|"iso-8859-3"|"iso-8859-4"|"iso-8859-5"|"iso-8859-6"|"iso-8859-7"|"iso-8859-8"|"iso-8859-9"|"jis"|"koi8-r"|"sjis"|"sjis-win"|"uhc"|"windows-1251"|"windows-1252"|"other") - **default_unsubscribe_link** (boolean): Whether the default unsubscribe link is included - **social_bar** (boolean): Whether the social sharing bar is included - **footer** (string): Email footer content - **next_building_step** (string): Next step needed before scheduling - **status** (string (active|delivering|delivered|archived|deleted|incomplete|scheduled)): An enumeration. ("active"|"delivering"|"delivered"|"archived"|"deleted"|"incomplete"|"scheduled") - **suspended** (boolean): Whether the campaign is suspended/paused - **over_limit** (boolean): Whether the campaign is over the limits of your plan - **under_review** (boolean): Whether the campaign is under review and on hold - **heatmap_link** (string): URL to the click heatmap visualization - **web_email_link** (string): URL to view the campaign in a browser - **thumbnail_url** (string): URL to the campaign thumbnail image - **updated_on** (integer): Last update timestamp (Unix epoch) #### 400 - Bad Request **HTTPBadRequestError** - **detail** (array (BadRequestMessage)) (required) Array items: - **loc** (array (string)) - **msg** (string) (required) - **type** (string) #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) #### 500 - Internal Server Error **HTTPInternalServerError** - **detail** (array (InternalServerErrorMessage)) (required) Array items: - **msg** (string) (required) - **type** (string) ### Example Usage ```bash curl -X POST "https://api.cakemail.dev/campaigns?account_id=0" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "audience": "[object Object]", "tracking": "[object Object]", "sender": "value", "reply_to_email": "user@example.com", "content": "[object Object]" }' ``` ``` -------------------------------- ### GET /reports/accounts/self Source: https://api.cakemail.dev/openapi.json Get performance statistics for your own account. ```markdown ### Parameters - **start_time** (integer, query, optional) - **end_time** (integer, query, optional) ### Responses #### 200 - Successful Response **AccountStatsResponse** - **data** (object) (required) - **active_contacts** (integer) (required): Total active contacts in the account - **sent_emails** (integer) (required): Total emails sent across all channels - **sent_campaign_emails** (integer) (required): Emails sent via campaigns - **sent_action_emails** (integer) (required): Emails sent via automations - **sent_email_emails** (integer) (required): Emails sent via transactional email - **open_rate** (number) (required): Overall open rate percentage - **bounce_rate** (number) (required): Overall bounce rate percentage - **click_rate** (number) (required): Overall click rate percentage - **spam_rate** (number) (required): Overall spam complaint rate percentage - **unsubscribe_rate** (number) (required): Overall unsubscribe rate percentage - **emails_usage** (number) (required): Email quota usage percentage - **contacts_usage** (number) (required): Contact quota usage percentage - **bounces_hard** (integer) (required): Total hard bounces - **bounce_hard_rate** (number) (required): Hard bounce rate percentage - **spams** (integer) (required): Total spam complaints - **current_lists** (integer) (required): Number of contact lists in the account - **email_api** (object) - **submitted** (integer): Number of emails submitted via Email API - **delivered** (integer): Number of emails delivered via Email API #### 400 - Bad Request **HTTPBadRequestError** - **detail** (array (BadRequestMessage)) (required) Array items: - **loc** (array (string)) - **msg** (string) (required) - **type** (string) #### 422 - Validation Error **HTTPValidationError** - **detail** (array (ValidationError)) Array items: - **loc** (array (union)) (required) - **msg** (string) (required) - **type** (string) (required) #### 500 - Internal Server Error **HTTPInternalServerError** - **detail** (array (InternalServerErrorMessage)) (required) Array items: - **msg** (string) (required) - **type** (string) ### Example Usage ```bash curl -X GET "https://api.cakemail.dev/reports/accounts/self?start_time=0&end_time=0" ``` ```